Rapid Recovery 6.2.1 - Mailbox Restore for Exchange User Guide

Understanding Mailbox Restore for Exchange Preparing to use Mailbox Restore for Exchange The Local Mount Utility and Mailbox Restore Using Mailbox Restore for Exchange Restoring Exchange data using Mailbox Restore Exchange database maintenance in Mailbox Restore About us Glossary

Preparing to use Mailbox Restore for Exchange

This chapter provides instructions on what you need to do to prepare your machine for using Mailbox Restore. It describes the system requirements and other prerequisites.

Mailbox Restore system requirements

Mailbox Restore system requirements

Mailbox Restore for Exchange is included with the Rapid Recovery Core and works with the Rapid Recovery Agent, the Local Mount Utility (LMU), and Microsoft Outlook to complete an Exchange item recovery. To recover an Exchange email item, use the LMU to open an Rapid Recovery recovery point of the Exchange data store, which Mailbox Restore can then access. If you choose to restore the item to its original location, Mailbox Restore then exports it to the online Exchange server to complete the recovery. For a successful recovery, all of these products must be compatible with each other.

This user guide assumes that, as a Rapid Recovery customer, you already have the Rapid Recovery Core service installed and that the Rapid Recovery Agent service is installed on and protecting your Exchange server. The version of Microsoft Exchange installed on the server must be compatible with Mailbox Restore.

Mailbox Restore supports the following versions of Microsoft Exchange:

And it supports the following versions of Microsoft Outlook:

NOTE: According to the Microsoft support lifecycle policy, Microsoft ended support for Exchange 2007 on April 11, 2017. For this reason, support between Rapid Recovery and Exchange 2007 x64 is deprecated and will end in the Rapid Recovery release that follows release 6.2.

If you attempt to use Mailbox Restore to open an Exchange data store that was created in an unsupported version of Exchange, you receive a message that prompts you to copy the Exchange libraries. Clicking OK opens Mailbox Restore, but the data store is not available. Libraries not created in a supported version of Exchange are not compatible with Mailbox Restore.

NOTE: Mailbox Restore can be installed as part of a Rapid Recovery Core or LMU installation. Both the Rapid Recovery Core and LMU installers require .NET Framework 4.6.2 (x64). Rapid Recovery Core machines using 32-bit operating systems are not supported. The Rapid Recovery Core does not support Windows Server Core operating systems.

The following table shows the combinations of Microsoft operating systems and Exchange Servers currently supported by Mailbox Restore with the Rapid Recovery Core and Rapid Recovery Agent.

Table 1. Mailbox Restore system requirements

Product

Operating system

Rapid Recovery 6.2 Core

Mailbox Restore for Exchange supports the following 64-bit Microsoft Windows operating systems:

NOTE: Rapid Recovery and Mailbox Restore do not support Windows Server Core editions of the Windows operating systems.

Rapid Recovery 6.2 Agent with Exchange 2016

Rapid Recovery 6.2 Agent with Exchange 2013

Rapid Recovery 6.2 Agent with Exchange 2010

Rapid Recovery 6.2 Agent with Exchange 2007 x64

NOTE: In addition to having the supported versions of Rapid Recovery, Windows Server, and Exchange Server installed on the appropriate machines, you must also have Microsoft Outlook installed on the machine that you intend to use to recover Exchange items. Optionally, you can install the LMU and use it to open databases from recovery points.

Microsoft Outlook criteria

To use Rapid Recovery to recover an Exchange item, you must have Microsoft Outlook installed and configured on the same machine on which Rapid Recovery is installed.

The machine on which Rapid Recovery is installed also must adhere to the following criteria:

The Outlook profile associated with Rapid Recovery has full-control permissions, including Send As and Receive As permissions.
NOTE: If you open Rapid Recovery on a machine that does not include a compatible version of Outlook, you receive a message reminding you that a supported version of Outlook must be installed. Clicking OK on this message opens Rapid Recovery, but the data store is not available for item-level recovery.

Prerequisites for Mailbox Restore for Exchange

Prerequisites for Mailbox Restore for Exchange

Before you begin using Mailbox Restore for Exchange, complete the following prerequisites:

Without the proper permissions and an instance of Outlook installed on the Mailbox Restore machine, Mailbox Restore is unable to perform Exchange-item recovery, even if the Exchange server is protected by an Rapid Recovery Core.

The Local Mount Utility is the recommended means for opening an Exchange database in Mailbox Restore, but it is not required. You can also open Mailbox Restore directly from the folder in which the application is saved and then open the Exchange database from the File menu.

NOTE: To open a database from Mailbox Restore, you must first mount a recovery point. For more information, see Opening an Exchange database in Mailbox Restore using the Local Mount Utility.
Related Documents